MonoMac 0.0.0.0 System.Attribute Used to specify when the API first became available.

This attribute can be applied at the class level, to indicate that the class was introduced in a particular revision of the OS, or in independent members (properties, fields, methods, constructors) to indicate that one of those components was introduced in that version. It can also be applied to enumeration values, as this might be useful for developers to know.

You should not use the [Since] attribute on C# delegates, since those delegates are always usable from C#. They might not be used as a parameter to some method, but those methods would have already been flagged with the [Since] attribute.

MonoMac started using the [Since] attribute starting with the iPad release (version 3.2) to flag new methods, class and enumeration values that became available with the new OS.

- Constructor
  0.0.0.0
  iOS major version.
  iOS minor version.
  Constructor used to flag that this component was introduced on the specifid major/version of iOS.
- Field
  0.0.0.0
  System.Byte Major version of iPhoneOS/iOS when this API became available.
- Field
  0.0.0.0
  System.Byte Minor version of iPhoneOS/iOS when this API became available.